<?php
/***************************************************************
*  Copyright notice
*  
*  (c) 2004 Stefan Geith (typo3devYYYY@geithware.de)
*                        Replaye YYYY by current year !
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/** 
 * Plugin 'Event Database (SG)' for the 'sg_event' extension.
 *
 * @author	Stefan Geith <typo3devYYYY@geithware.de>
 */


//require_once(PATH_tslib."class.tslib_pibase.php");
require_once(t3lib_extMgm::extPath('sg_zfelib').'class.tx_sgzfelib.php');
require_once(t3lib_extMgm::extPath('sg_zfelib').'class.txsg_pibase.php');

class tx_sgglossary_pi1 extends txsg_pibase {
	var $prefixId = "tx_sgglossary_pi1";		// Same as class name
	var $scriptRelPath = "pi1/class.tx_sgglossary_pi1.php";	// Path to this script relative to the extension dir.
	var $extKey = "sg_glossary";	// The extension key.
	var $mainTable = 'tx_sgglossary_entries';
	var $mainJoin = '';
	var $mainJoinTable = '';
	var $catTable = '';
	var $subcatTable = '';
	var $importName = 'lex_import';
	var $winName = 'Glossary';

	var $contentDetail = '';

	function switchPluginMode ($pluginMode) {
		//t3lib_div::debug(Array('1'=>1, 'File:Line'=>__FILE__.':'.__LINE__));
		$content = parent:: switchPluginMode ($pluginMode);
		//t3lib_div::debug(Array('$content'=>$content, 'File:Line'=>__FILE__.':'.__LINE__));
		return ($content);
	}


}

if (defined("TYPO3_MODE") && $TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/sg_glossary/pi1/class.tx_sgglossary_pi1.php"])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/sg_glossary/pi1/class.tx_sgglossary_pi1.php"]);
}

?>