<?php
class tx_sgglossary_LinkClass {
	function tx_sgglossary_LinkClass () {
		$this->popMode = true;
		$this->conf = $GLOBALS['TSFE']->tmpl->setup['plugin.']['tx_sgglossary_pi1.'];
		$this->allowCaching = 0; //($this->conf['allowCaching']) ? 1 : 0 ;
		$this->popupDisplaySite = 'lexikon';
		if (is_array($this->conf) && $this->conf['popupPageID']>0) {
			$this->popupDisplaySite = $this->conf['popupPageID'];
			$this->popMode = true;
		}
		if (is_array($this->conf) && $this->conf['PIDitemDisplay']>0) {
			$this->popupDisplaySite = $this->conf['PIDitemDisplay'];
			$this->popMode = true;
		}
		if (is_array($this->conf) && intval($this->conf['displayPageID'])>0) {
			$this->popupDisplaySite = $this->conf['displayPageID'];
			$this->popMode = false;
		}

		$this->local_cObj = t3lib_div::makeInstance('tslib_cObj');
		$this->local_cObj->setCurrentVal($this->popupDisplaySite);
		$this->typolink_conf = $this->conf['typolink.'];
		$this->typolink_conf['parameter.']['current'] = 1;
		$this->typolink_conf['useCacheHash'] = $this->allowCaching;
		$this->typolink_conf['no_cache'] = !$this->allowCaching;
		$this->typolink_conf['extTarget'] = '_self';
		$this->typolink_conf['target'] = '_self';
	}

	function doLexLink($input, $ln)	{
		//$this->conf = $GLOBALS['TSFE']->tmpl->setup['plugin.']['tx_sgglossary_pi1.'];
		//$this->allowCaching = ($this->conf['allowCaching']) ? 1 : 0 ;
		//$this->popupSite = 'lexikon';
		//if (is_array($this->conf) && $this->conf['popupPageID']>0) {
		//	$this->popupSite = $this->conf['popupPageID'];
		//}

		$q = "'";
		$input = trim($input);
		$output = '';
		//$output = '==LEX('.$input.'):'; // debug only
		$uid = 0;

		if (strlen($input)>0) {

			$this->typolink_conf['additionalParams'] = 
					$this->local_cObj->stdWrap($this->typolink_conf['additionalParams'],$this->typolink_conf['additionalParams.']);
			unset ($this->typolink_conf['additionalParams.']);

			//$this->typolink_conf['additionalParams'] = '&uid='.$ln['allParams'];

			if (intval($ln['uid'])>0) {
				$uid = intval($ln['uid']);
				$this->typolink_conf['additionalParams'] = '&uid='.$uid.'&L='.t3lib_div::GPvar('L');
			} else {
				if (strlen($ln['word'])>0) {
					$title = $ln['word'];
				} else if (strlen($ln['allParams'])>0) {
					$title = $ln['allParams'];
				} else {
					$title = $input;
				}
				$tmp = ($this->conf['customTagWrap']) ? t3lib_div::trimExplode('|',$this->conf['customTagWrap']) : Array();
				$query = 'word LIKE '.QT.$tmp[0].$title.$tmp[1].QT.$this->local_cObj->enableFields('tx_sgglossary_entries');

				$rows = $GLOBALS['TYPO3_DB']->exec_SELECTgetRows('uid','tx_sgglossary_entries',$query,'','',2,'');
				if (count($rows)) {
					$uid = $rows[0]['uid'];
					$this->typolink_conf['additionalParams'] = '&uid='.$uid.'&L='.t3lib_div::GPvar('L');
				} 
			}
			$link = t3lib_div::locationHeaderUrl($this->local_cObj->TypoLink_URL($this->typolink_conf));
			
			if ($uid) {
				if ($this->popMode) {
					// Popup
					$jsCode = 'var bw=\'\'; bw = window.open('.$q.$link.$q.','.$q.'Lexikon'.$q.',';
					$jsCode .=	$q.'height=480,width=640,status=0,menubar=0,location=0,resizable=1,scrollbars=1'.$q.'); bw.focus();';
					$output .= '<a href="'.$link.'" onclick="'.$jsCode.' return false;">'.$input.'</a>';
				} else {
					$output .= '<a href="'.$link.'">'.$input.'</a>';
				}
			} else if ($this->conf['showLexTagErrors']) {
					$output .= '<!-- CustomTagError -->'.$input.'<!-- uid not found -->';
			} else  {
					$output .= $input;
			}
		}
		//t3lib_div::debug(Array('$input'=>$input, '$typolink_conf'=>$this->typolink_conf,  '$ln'=>$ln, '$link'=>$link, '$jsCode'=>$jsCode, '$output'=>$output, 
		//	'conf=>'=>$this->typolink_conf['additionalParams'], 'File:Line'=>__FILE__.':'.__LINE__));
		return $output;
	}
}
if (defined("TYPO3_MODE") && $TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/sg_glossary/prg/class.tx_sgglossary_LinkClass.inc"])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/sg_glossary/prg/class.tx_sgglossary_LinkClass.inc"]);
}
?>