<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");
$confArr = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['sg_glossary']);

$TCA["tx_sgglossary_entries"] = Array (
	"ctrl" => $TCA["tx_sgglossary_entries"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,word,description,image,imagecaption,reference"
	),
	"feInterface" => $TCA["tx_sgglossary_entries"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:sg_zfelib/locallang.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"crfeuser_id" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:sg_zfelib/locallang.php:LGL.crfeuser_id",		
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("",0),
				),
				"foreign_table" => "fe_users",	
				"foreign_table_where" => "ORDER BY fe_users.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"word" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sg_glossary/locallang_db.php:tx_sgglossary_entries.word",		
			"config" => Array (
				"type" => "input",	
				"size" => "48",	
				"eval" => "required,trim",
			)
		),
		"description" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sg_glossary/locallang_db.php:tx_sgglossary_entries.description",		
			"config" => Array (
				"type" => "text",
				"cols" => "48",	
				"rows" => "18",
				"eval" => "required",
				'softref' => 'typolink_tag,images,email[subst],url',
			),
			'defaultExtras' =>
				'richtext[paste|bold|italic|underline|formatblock|class|left|center|right|orderedlist|unorderedlist|outdent|indent|link]:'.
				'rte_transform[flag=rte_enabled|mode=ts_css]',
		),
		'rte_enabled' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:cms/locallang_ttc.php:rte_enabled',
			'config' => Array (
				'type' => 'check',
				'showIfRTE' => 1,
				"default" => $confArr['defaultRteDisable'],
			)
		),
		"image" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sg_glossary/locallang_db.php:tx_sgglossary_entries.image",		
			"config" => Array (
				"type" => "group",
				"internal_type" => "file",
				"allowed" => $GLOBALS["TYPO3_CONF_VARS"]["GFX"]["imagefile_ext"],	
				"max_size" => 500,	
				"uploadfolder" => "uploads/tx_sgglossary",
				"show_thumbs" => 1,	
				"size" => 3,	
				"minitems" => 0,
				"maxitems" => 5,
			)
		),
		"imagecaption" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sg_glossary/locallang_db.php:tx_sgglossary_entries.imagecaption",		
			"config" => Array (
				"type" => "text",
				"cols" => "48",	
				"rows" => "5",
			),
			'defaultExtras' =>
				'richtext[paste|bold|italic|underline|formatblock|class|left|center|right|orderedlist|unorderedlist|outdent|indent|link|image]:'.
				'rte_transform[flag=rte_enabled|mode=ts]',
		),
		"reference" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:sg_glossary/locallang_db.php:tx_sgglossary_entries.reference",		
			"config" => Array (
				"type" => "text",
				//"type" => "group",	
				"eval" => "trim",
				"foreign_table" => "tx_sgglossary_entries",	
				'size' => '8',
				'autoSizeMax' => 15,
				'maxitems' => '200',
				'minitems' => '0',
			)
		),


	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, word, description;;;;3-3-3, rte_enabled, image;;;;3-3-3, imagecaption;;;;, reference")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "crfeuser_id")
	)
);
?>